Share via


Workflow Run Action Repetitions Request Histories - List

List a workflow run repetition request history.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/hostruntime/runtime/webhooks/workflow/api/management/workflows/{workflowName}/runs/{runName}/actions/{actionName}/repetitions/{repetitionName}/requestHistories?api-version=2025-05-01

URI Parameters

Name In Required Type Description
actionName
path True

string

The workflow action name.

name
path True

string

Site name.

repetitionName
path True

string

The workflow repetition.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

runName
path True

string

The workflow run name.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workflowName
path True

string

The workflow name.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RequestHistoryListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List repetition request history

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/sites/test-name/hostruntime/runtime/webhooks/workflow/api/management/workflows/test-workflow/runs/08586776228332053161046300351/actions/HTTP_Webhook/repetitions/000001/requestHistories?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "08586611142732800686",
      "type": "Microsoft.Web/sites/workflows/runs/actions/requestHistories",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-resource-group/providers/Microsoft.Web/sites/test-name/workflows/test-workflow/runs/08586611142736787787412824395CU21/actions/HTTP_Webhook/requestHistories/08586611142732800686",
      "location": "West US",
      "properties": {
        "endTime": "2018-10-25T18:36:52.1863033Z",
        "response": {
          "bodyLink": {
            "contentHash": {
              "algorithm": "md5",
              "value": "2LOOAR8Eh2pd7AvRHXUhRg=="
            },
            "contentSize": 137,
            "contentVersion": "2LOOAR8Eh2pd7AvRHXUhRg==",
            "uri": "https://tempuri.org"
          },
          "headers": {
            "Cache-Control": "private",
            "Date": "Thu, 25 Oct 2018 18:36:51 GMT",
            "Location": "http://www.bing.com/",
            "Server": "Microsoft-IIS/10.0",
            "X-AspNet-Version": "4.0.30319",
            "X-Powered-By": "ASP.NET"
          },
          "statusCode": 302
        },
        "startTime": "2018-10-25T18:36:51.9206732Z",
        "request": {
          "method": "GET",
          "headers": {
            "Accept-Language": "en-US",
            "User-Agent": "azure-logic-apps/1.0,(workflow 80244732be3648f59d2084fd979cdd56; version 08586611142904036539)",
            "x-ms-action-tracking-id": "ad27f634-6523-492f-924e-9a75e28619c8",
            "x-ms-client-request-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-client-tracking-id": "08586611142736787787412824395CU21",
            "x-ms-correlation-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-execution-location": "brazilsouth",
            "x-ms-tracking-id": "ad484925-4148-4dd0-9488-07aed418b256",
            "x-ms-workflow-id": "80244732be3648f59d2084fd979cdd56",
            "x-ms-workflow-name": "test-workflow",
            "x-ms-workflow-operation-name": "HTTP_Webhook",
            "x-ms-workflow-resourcegroup-name": "test-resource-group",
            "x-ms-workflow-run-id": "08586611142736787787412824395CU21",
            "x-ms-workflow-run-tracking-id": "b4cd2e77-f949-4d8c-8753-791407aebde8",
            "x-ms-workflow-subscription-capacity": "Large",
            "x-ms-workflow-subscription-id": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
            "x-ms-workflow-system-id": "/locations/brazilsouth/scaleunits/prod-17/workflows/80244732be3648f59d2084fd979cdd56",
            "x-ms-workflow-version": "08586611142904036539"
          },
          "uri": "http://tempuri.org"
        }
      }
    }
  ]
}

Definitions

Name Description
ContentHash

The content hash.

ContentLink

The content link.

createdByType

The type of identity that created the resource.

ErrorProperties

Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.

ErrorResponse

Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.

Request

A request.

RequestHistory

The request history.

RequestHistoryListResult

The response of a RequestHistory list operation.

RequestHistoryProperties

The request history.

Response

A response.

systemData

Metadata pertaining to creation and last modification of the resource.

ContentHash

The content hash.

Name Type Description
algorithm

string

The algorithm of the content hash.

value

string

The value of the content hash.

The content link.

Name Type Description
contentHash

ContentHash

The content hash.

contentSize

integer (int64)

The content size.

contentVersion

string

The content version.

metadata

The metadata.

uri

string

The content link URI.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorProperties

Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.

ErrorResponse

Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.

Name Type Description
error

ErrorProperties

The error properties.

Request

A request.

Name Type Description
headers

A list of all the headers attached to the request.

method

string

The HTTP method used for the request.

uri

string

The destination for the request.

RequestHistory

The request history.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

RequestHistoryProperties

The request history properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RequestHistoryListResult

The response of a RequestHistory list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

RequestHistory[]

The RequestHistory items on this page

RequestHistoryProperties

The request history.

Name Type Description
endTime

string (date-time)

The time the request ended.

request

Request

The request.

response

Response

The response.

startTime

string (date-time)

The time the request started.

Response

A response.

Name Type Description
bodyLink

ContentLink

Details on the location of the body content.

headers

A list of all the headers attached to the response.

statusCode

integer (int32)

The status code of the response.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.